Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.connection
Class DefaultStringTuple

    java.lang.Object
      org.springframework.data.redis.connection.DefaultTuple
          org.springframework.data.redis.connection.DefaultStringTuple

All Implemented Interfaces:
  Comparable<Double>, RedisZSetCommands.Tuple, StringRedisConnection.StringTuple

    public class DefaultStringTuple

extends DefaultTuple
implements StringRedisConnection.StringTuple

Default implementation for `StringRedisConnection.StringTuple` interface.

Constructor Summary
`DefaultStringTuple(byte[] value, String valueAsString, Double score)` Constructs a new `DefaultStringTuple` instance.
`DefaultStringTuple(RedisZSetCommands.Tuple tuple, String valueAsString)` Constructs a new `DefaultStringTuple` instance.

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getValueAsString()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class org.springframework.data.redis.connection.DefaultTuple
`compareTo, getScore, getValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.springframework.data.redis.connection.RedisZSetCommands.Tuple
`getScore, getValue`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### DefaultStringTuple

    public DefaultStringTuple(byte[] value,
                              String valueAsString,
                              Double score)

  Constructs a new `DefaultStringTuple` instance.

  Parameters:
    `value` -
    `score` -

### DefaultStringTuple

    public DefaultStringTuple(RedisZSetCommands.Tuple tuple,
                              String valueAsString)

  Constructs a new `DefaultStringTuple` instance.

  Parameters:
    `tuple` -
    `valueAsString` -

Method Detail

### getValueAsString

    public String getValueAsString()

  Specified by:
    `getValueAsString` in interface `StringRedisConnection.StringTuple`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `DefaultTuple`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `DefaultTuple`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD